Issue2613

classification
Title: MANIFEST.MF contains unfilled placeholders
Type: behaviour Severity: normal
Components: Core Versions: Jython 2.7
Milestone: Jython 2.7.2
process
Status: pending Resolution: fixed
Dependencies: Superseder:
Assigned To: jeff.allen Nosy List: jamesmudd, jeff.allen
Priority: normal Keywords:

Created on 2017-07-26.21:49:56 by jamesmudd, last changed 2019-08-31.18:52:56 by jeff.allen.

Messages
msg11504 (view) Author: James Mudd (jamesmudd) Date: 2017-07-26.21:49:56
I was just looking at the Jython standalone manifest file downloaded from maven central http://central.maven.org/maven2/org/python/jython-standalone/2.7.1/jython-standalone-2.7.1.jar 

Here is the manifest:

Manifest-Version: 1.0
Ant-Version: Apache Ant 1.9.4
Created-By: 1.8.0_65-b17 (Oracle Corporation)
Main-Class: org.python.util.jython
Built-By: fwierzbicki

Name: Build-Info
version: 2.7.1
hg-build: ${do.checkout}
oracle: ${oracle.present}
informix: ${informix.present}
build-compiler: modern
jdk-target-version: 1.7
debug: true

It contains a few unfilled placeholders, maybe the ant script needs a bit of care?
msg11774 (view) Author: Jeff Allen (jeff.allen) Date: 2018-03-10.13:15:24
I guess we're here: https://hg.python.org/jython/file/tip/build.xml#l618 or one of the very similar sections that follow.

The target for building an installer doesn't work for me (Windows) and these symbols appear to be part of the way it fails. Seems like something that would be easy to tidy up if one understood it.
msg12640 (view) Author: Jeff Allen (jeff.allen) Date: 2019-08-23.17:06:24
I understand it.
msg12646 (view) Author: Jeff Allen (jeff.allen) Date: 2019-08-31.18:52:56
I observe this to have been fixed as part of the recent revision of build.xml. We're better at setting these values now.

https://hg.python.org/jython/rev/684117a13ee3
History
Date User Action Args
2019-08-31 18:52:56jeff.allensetstatus: open -> pending
resolution: accepted -> fixed
messages: + msg12646
title: 2.7.1 MANIFEST.MF contains unfilled placeholders -> MANIFEST.MF contains unfilled placeholders
2019-08-23 17:06:24jeff.allensetassignee: jeff.allen
messages: + msg12640
milestone: Jython 2.7.2
2018-03-10 13:15:24jeff.allensetpriority: normal
resolution: accepted
messages: + msg11774
nosy: + jeff.allen
2017-07-26 21:49:56jamesmuddcreate